<div  id="title">
<span>Network Setup</span>
</div> <!--fin title  -->
<br>

[$LOGIN_CHECK,admin]

<script type="text/javascript">

function check_hostname_format(hostname)
{
    var rE = new RegExp("^[A-Za-z0-9\.\-]{1,15}$", "g");

    return (rE.test(hostname));
}

function check_ip_format(ip_addr)
{
    var rE = new RegExp("^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$", "g");

    if (!rE.test(ip_addr))
        return false;

    var ip = ip_addr.split(".");

    if (ip.length != 4)
        return false;

    for (i = 0; i < ip.length; i++)
        if (isNaN(ip[i]) == true || ip[i] > 255 || ip[i] < 0)
            return false;

    return true;
}

function checkNetworkSetup() {
    var err = 0;

    if (!check_hostname_format(document.getElementById('hostname').value)) {
        alert("Bad hostname");
        ++err;
    }

    if (!check_ip_format(document.getElementById('net_ip').value)) {
        alert("Bad IP address");
        ++err;
    }

    if (!check_ip_format(document.getElementById('net_mask').value)) {
        alert("Bad sub-network mask");
        ++err;
    }

    if (!check_ip_format(document.getElementById('net_broadcast').value)) {
        alert("Bad broadcast address");
        ++err;
    }

    if (!check_ip_format(document.getElementById('net_gw').value)) {
        alert("Bad default gateway");
        ++err;
   }


   if (err == 0)
   {
		document.getElementById('net_ip').disabled=false;
		document.getElementById('net_mask').disabled=false;
		document.getElementById('net_sub').disabled=false;
		document.getElementById('net_broadcast').disabled=false;
		document.getElementById('net_gw').disabled=false;
		
		document.getElementById('NetworkForm').submit();
        }
}
</script>


<table align="center" width="666px">   
    <tr>
        <td align="center"><b>Network Status</b></td>
    </tr>          
    <tr>
        <td width="32%">Link Status</td>
        <td id='idstatus' class="[$TCP_VAR,0,networkState]" align="center" >
		[$TCP_VAR,0,networkState]</td>
    </tr>         
    <tr>
        <td width="32%">Link Speed</td>
        <td align="center" >[$TCP_VAR,0,networkSpeed]</td>
    </tr>     
	 <tr>
        <td width="32%">Ethernet Mode</td>
        <td align="center" >[$TCP_VAR,0,networkDuplex]</td>
    </tr>     
</table>

<br>
<table align="center" width="666px">   
    <tr>
        <td width="32%">MAC Address</td>
        <td>[$TCP_VAR,0,adresseMac]</td>
    </tr>         
</table>
<br>

<form name="NetworkForm" action="/cgi-bin/Configuration.cgi" method="get">
	
	<input type="hidden" name="Page" size="15" maxlength="15" value="ConfigIP" />
	<input type="hidden" name="Action" size="15" maxlength="15" value="Validate" />
	<input type="hidden" name="Execute" size="15" maxlength="15" value="12">
	<center> 
	<table border="2" align="center" summary=""  width="666px">
		<tr>
			<td>Host Name</td>
			<td width="123"><input type="text" id="hostname" name="[VAR_HostName]" size="15" maxlength="15" value="[$CFG_CONFIGIP_HOSTNAME,boot.cfg]" /></td>
			<td>Ex : myhost </td>
		</tr>
		<tr>
			<td>Use DHCP</td>
			<td width="123">
				<select id="use_dhcp" name="[VAR_UseDHCP]" onchange="greyNetworkSetupParam();">
					[#LISTBOX,[$CFG_CONFIGIP_DHCP,boot.cfg],vartabOuiNon]
				</select>
			</td>
			<td>Select 'Yes' to automatically get an IP address.</td>
		</tr>
		<tr>
			<td>IP Address</td>
			<td width="123"><input type="text" id="net_ip" name="[VAR_IpAddress]" size="15" maxlength="15" value="[$CFG_CONFIGIP_STATIC_IP]" /></td>
			<td>Ex : 192.168.0.2 </td>
		</tr>
		<tr>
			<td>Sub-network Mask</td>
			<td width="123"><input type="text" id="net_mask" name="[VAR_SubnetMask]" size="15" maxlength="15" value="[$CFG_CONFIGIP_STATIC_MASK]" /></td>
			<td>Ex : 255.255.255.0</td>
		</tr>
		<tr>
			<td>Broadcast Address</td>
			<td width="123"><input type="text" id="net_broadcast" name="[VAR_BroadcastAddress]" size="15" maxlength="15" value="[$CFG_CONFIGIP_STATIC_BROADCAST]" /></td>
			<td>Ex : 192.168.0.255</td>
		</tr>
		<tr>
			<td>Default Gateway</td>
			<td width="123"><input type="text" id="net_gw" name="[VAR_GatewayAddress]" size="15" maxlength="15" value="[$CFG_CONFIGIP_STATIC_GATEWAY]" /></td>
			<td>Ex : 192.168.0.1</td>
		</tr>	
	</table>
	<br/>   
		<center>
	    <br>The above values become effective immediatly after saving the configuration.<br>
		</center>
		<br>	
	<input type="submit" onClick="checkNetworkSetup(); return false;" class="bouton" value="Save configuration" />
	</center>
</form>
