<div  id="title">
<span>SNMP & Traps Setup</span>
</div> <!--fin title  -->
<br>


<script type="text/javascript">

function check_ip_format(ip_addr)
{
    var rE = new RegExp("^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$", "g");

    if (!rE.test(ip_addr))
        return false;

    var ip = ip_addr.split(".");

    if (ip.length != 4)
        return false;

    for (i = 0; i < ip.length; i++)
        if (isNaN(ip[i]) == true || ip[i] > 255 || ip[i] < 0)
            return false;

    return true;
}

function checkNetworkSetup() {
    var err = 0;

    if (!check_ip_format(document.getElementById('trap_ip1').value)) {
        alert("Bad IP Address Traps Destination 1");
        ++err;
    }

    if (!check_ip_format(document.getElementById('trap_ip2').value)) {
        alert("Bad IP Address Traps Destination 2");
        ++err;
    }

    if (err == 0)
    {
		document.getElementById('trap_ip1').disabled=false;
		document.getElementById('trap_ip2').disabled=false;
		document.getElementById('ConfigTraps').submit();
    }
}
</script>


[$LOGIN_CHECK,admin]

	<form name="ConfigTraps" action="/cgi-bin/Configuration.cgi" method="get">
		<input type="hidden" name="Page" size="15" maxlength="15" value="ConfigTraps">
		<input type="hidden" name="Action" size="15" maxlength="15" value="Validate">

		<table align="center" width="600px">
			<tr>
				<td width="50%" title="SNMP password to get the current value of the EC20S parameters.">SNMP RO Community</td>
				<td width="25%">
					<input type="text" align="center" id="VAR_CFG_SNMP_RO_COMMUNITY" name="[VAR_CFG_SNMP_RO_COMMUNITY]"  value="[$CFG_SNMP_RO_COMMUNITY,snmp.cfg]">
				</td>
				<td>Ex : public</td>
			</tr> 
			
			<tr>
				<td width="50%" title="SNMP password to set a new value to the EC20S parameters.">SNMP RW Community</td>
				<td width="25%">
					<input type="text" align="center" id="VAR_CFG_SNMP_RW_COMMUNITY" name="[VAR_CFG_SNMP_RW_COMMUNITY]"  value="[$CFG_SNMP_RW_COMMUNITY,snmp.cfg]">
				</td>
				<td>Ex : private</td>
			</tr> 
		</table>
		<center>
	    <br>The above values become effective after a reboot (the reboot command is in "Tools" tab).<br>
		</center>
		<br>	
	
		<table align="center" width="600px">
			<tr>
				<td width="50%" title="SNMP password to enable the transmission of the SNMP traps defined for the EC20S product.">Trap Community Name</td>
				<td width="25%"><input type="text" align="center" name="[VAR_CFG_TRAP_COMMUNAUTE]" value="[$CFG_TRAP_COMMUNAUTE,traps.cfg]" /></td>
				<td>Ex : public </td>
			</tr> 
			<tr>
				<td width="50%" title="First IP address where to send the SNMP traps of the EC20S product.">IP Address Traps Destination 1 </td>
				<td width="25%"><input type="text" id="trap_ip1" align="center" name="[VAR_CFG_TRAP_IP_DESTINATION_1]" value="[$CFG_TRAP_IP_DESTINATION_1,traps.cfg]"></td>
				<td>Ex : 192.168.0.101 </td>
			</tr>
			<tr>
				<td width="50%" title="Second IP address where to send the SNMP traps of the EC20S product.">IP Address Traps Destination 2 </td>
				<td width="25%"><input type="text" id="trap_ip2" align="center" name="[VAR_CFG_TRAP_IP_DESTINATION_2]" value="[$CFG_TRAP_IP_DESTINATION_2,traps.cfg]"></td></td>
				<td>Ex : 192.168.0.102 </td>
			</tr>
		</table>									
			   
	<br />	<br />
	
	<table align="center" width="600px">	
	<tr>
		<td title="To enable/disable the transmission of any SNMP traps defined for the EC20S product."><b>Global Traps Enable</b></td>
		<td width="50px">
			<select name="[VAR_CFG_ENABLE_TRAPS]">
			[#LISTBOX,[$CFG_ENABLE_TRAPS,traps.cfg],vartabOuiNon]
			</select>
		</td>			
	</tr>
	</table>	
	<br>
	<table align="center" width="600px">	
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a change of the EC20S global status.">EC20S Status Change</td>
		<td width="50px">
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_HW_GENERAL]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_HW_GENERAL,traps.cfg],vartabOuiNon]
			</select> 
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the GNSS synchronization source.">GNSS Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_GPS]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_GPS,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the External 1PPS synchronization source.">External 1PPS Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_EXTPPS]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_EXTPPS,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the NMEA source validity.">NMEA Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_NMEA]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_NMEA,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the internal oscillator.">Internal Oscillator Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_FREQ_OSC]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_FREQ_OSC,traps.cfg],vartabOuiNon]
			</select> 
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the disciplined internal 1PPS signal.">Internal 1PPS Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_INTPPS]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_INTPPS,traps.cfg],vartabOuiNon]
			</select> 
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon transitions of the phase accuracy above/below the phase accuracy threshold.">Phase Accuracy Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_SEUIL_PHASE]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_SEUIL_PHASE,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon transitions of the frequency accuracy above/below the frequency accuracy threshold.">Frequency Accuracy Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_SEUIL_FREQ]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_SEUIL_FREQ,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a change of the selected synchronization source.">Synchronization Source Change</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_CHGT_REF]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_CHGT_REF,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the disciplining of the EC20S product on the selected synchronization source.">Tracking Status Change</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_HOLDOVER]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_HOLDOVER,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a change of the selected synchronization source.">Power Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_POWER]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_POWER,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the 1PPS signals distribution.">1PPS Output Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_PPSOUT]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_PPSOUT,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	<tr>
		<td title="To enable/disable the transmission of SNMP traps upon a status change of the 10MHz signals distribution.">10 MHz Output Fault</td>
		<td>
			<select name="[VAR_CFG_ENABLE_TRAP_EC20S_10MHZ]">
			[#LISTBOX,[$CFG_ENABLE_TRAP_EC20S_10MHZ,traps.cfg],vartabOuiNon]
			</select>
		</td>
	</tr>
	</table>
    
  <br/>
	
    <center>
	  <input class="bouton" onClick="checkNetworkSetup(); return false;" type="submit" value="Save configuration"/>
	</center>
	
</form>

<div id="menu">
  <dl>
    <dt>
    <a href="/EC20S-MIB.txt" TITLE="Right click and download target">Download MIB</a>
    </dt>
  </dl>
</div>
    
<br/>
